intentado actualizar el debian para ver si va mejor o peor

7 envíos / 0 nuevos
Último envío
#1 Jue, 27/08/2020 - 15:04
gi0
Imagen de gi0
Desconectado/a
se unió: 07/09/18

intentado actualizar el debian para ver si va mejor o peor

Estado: 
[SOLUCIONADO]

intentando actualizar a buster, al hacer upgrade desués de cambiar los stretch por buster en el sources.lis me sale esto:
El valor «stretch» no es válido para APT::Default-Release ya que dicha distribución no está disponible en las fuentes
asi me que quedo el sources.list

deb http://www.deb-multimedia.org buster main #contrib non-free
deb http://httpredir.debian.org/debian buster main #contrib non-free
deb http://httpredir.debian.org/debian buster-updates main #contrib non-free
deb http://security.debian.org buster/updates main #contrib non-free
deb http://http.debian.net/debian buster-backports main

Si alguien puede echar una mano aunque sea al cuello, gracias. PD como se hace para insertar codigo en el foro? gracias otra vez.

Vie, 28/08/2020 - 12:32
caliban
Imagen de caliban
Desconectado/a
moderador
se unió: 14/01/16

A ver vos primero cambiaste tu sources.list a como se ve en lo que pegaste, luego hicieste
aptitude update
aptitude safe-upgrade
aptitude full-upgrade
## o similar
apt-get update
apt-get upgrade
apt-get dist-upgrade
Y a partir de eso obtenes el mensaje citado ???

Sáb, 29/08/2020 - 11:19
gi0
Imagen de gi0
Desconectado/a
se unió: 07/09/18

si obtengo el mensaje citado con apt upgrade y con apt-get upgrade.. valor «stretch» no es válido para APT::Default-Release ya que dicha distribución no está disponible en las fuentes. También con aptitude update y apt update. Lo raro que con apt-get update no me sale ese mensaje:
root@debian:/etc/apt# apt-get update
Obj:1 http://security.debian.org buster/updates InRelease
Obj:2 http://httpredir.debian.org/debian buster InRelease
Obj:3 http://www.deb-multimedia.org buster InRelease
Obj:5 http://httpredir.debian.org/debian buster-updates InRelease
Obj:4 http://cdn-fastly.deb.debian.org/debian buster-backports InRelease
Leyendo lista de paquetes... Hecho
root@debian:/etc/apt# apt-get upgrade
Leyendo lista de paquetes... Hecho
E: El valor «stretch» no es válido para APT::Default-Release ya que dicha distribución no está disponible en las fuentes

Sáb, 29/08/2020 - 11:43
gi0
Imagen de gi0
Desconectado/a
se unió: 07/09/18

vale arreglado, en /etc/apt/apt.conf.d/local edite el fichero local:
PT::Default-Release "stretchr";
APT::Cache-Limit 55000000;
APT::Get::Purge;
APT::Clean-Installed;
APT::Get::Fix-Broken;
APT::Get::Fix-Missing;
APT::Get::Show-Upgraded "true";
y donde pone stretch lo cambie por buster y ya no me sale el mensaje E: El valor «stretch» no es válido para APT::Default-Release ya que dicha distribución no está disponible en las fuentes.
Ahora a ver si consigo actualizar la distribución, gracias.

Sáb, 29/08/2020 - 11:43
gi0
Imagen de gi0
Desconectado/a
se unió: 07/09/18

vale arreglado, en /etc/apt/apt.conf.d/local edite el fichero local:
PT::Default-Release "stretchr";
APT::Cache-Limit 55000000;
APT::Get::Purge;
APT::Clean-Installed;
APT::Get::Fix-Broken;
APT::Get::Fix-Missing;
APT::Get::Show-Upgraded "true";
y donde pone stretch lo cambie por buster y ya no me sale el mensaje E: El valor «stretch» no es válido para APT::Default-Release ya que dicha distribución no está disponible en las fuentes.
Ahora a ver si consigo actualizar la distribución, gracias.

Sáb, 29/08/2020 - 13:27
gi0
Imagen de gi0
Desconectado/a
se unió: 07/09/18

bueno aproximadamente 1h y 30 min después ya tengo debian buster. Solucionado el tema.. Gracias.

Sáb, 29/08/2020 - 13:37
caliban
Imagen de caliban
Desconectado/a
moderador
se unió: 14/01/16

Para ingresar destacado texto de codigo encerralos entre las etiquetas code

Si vas abajo de la pagina vas a ver un enlace que dice "?Mas informacion sobre formatos de texto "